Bug 447800 - Missing Perl dependencies in imapsync
Missing Perl dependencies in imapsync
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: imapsync (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 16:51 EDT by Mary Ellen Foster
Modified: 2008-06-21 13:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-21 13:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for imapsync's spec file (409 bytes, patch)
2008-05-27 10:48 EDT, Matteo Castellini
no flags Details | Diff

  None (edit)
Description Mary Ellen Foster 2008-05-21 16:51:09 EDT
Description of problem:
imapsync doesn't install all of the Perl packages it needs for operation. It
needs at least perl-Date-Manip and perl-IO-Socket-SSL ...

Version-Release number of selected component (if applicable):
imapsync-1.249-1.fc8

How reproducible:
Every time

Steps to Reproduce:
1. imapsync --dry --host1 host1 --user1 mef --ssl1 --host2 host2 --user2 mef
-ssl2 --noauthmd5 --syncinternaldates --delete2
  
Actual results:
Can't locate Date/Manip.pm in @INC [ ... ]

Then if I install perl-Date-Manip, I get:
Can't locate IO/Socket/SSL.pm in @INC [ ... ]

Install perl-IO-Socket-SSL and then it works.

Expected results:
All dependencies should be installed initially

There may be other perl packages that are needed that I coincidentally had
installed before, but these two were clearly absent.
Comment 1 Matteo Castellini 2008-05-27 10:45:10 EDT
I can reproduce this bug and also perl-TermReadKey is missing. Here are the
error messages I get:

Can't locate Date/Manip.pm in @INC (@INC contains: ...) at /usr/bin/imapsync
line 573.

Can't locate Term/ReadKey.pm in @INC (@INC contains: ...) at /usr/bin/imapsync
line 618.

Can't locate IO/Socket/SSL.pm in @INC (@INC contains: ...) at /usr/bin/imapsync
line 670.

Giving a quick look to imapsync source code it seems that the modules listed
above are called by a "require" statement inside the code but not listed at the
beginning with a "use" statement so they are not automatically discovered

Comment 2 Matteo Castellini 2008-05-27 10:48:29 EDT
Created attachment 306786 [details]
patch for imapsync's spec file

Proposed patch to add the missing dependencies listed in comment #1 to the spec
file.
Comment 3 Marek Mahut 2008-05-28 01:07:03 EDT
Thank you :) updates should be in testing soon.
Comment 4 Marek Mahut 2008-06-21 13:53:19 EDT
This has been fixed and it's in stable now.

Note You need to log in before you can comment on or make changes to this bug.